Lucene++ - a full-featured, c++ search engine
API Documentation

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Public Member Functions | Static Public Member Functions | Data Fields
Lucene::TermsHashConsumer Class Referenceabstract

`#include <TermsHashConsumer.h>`

Inheritance diagram for Lucene::TermsHashConsumer:

## Public Member Functions

virtual | ~TermsHashConsumer ()
virtual String | getClassName ()
boost::shared_ptr < TermsHashConsumer > | shared_from_this ()
virtual int32_t | bytesPerPosting ()=0
virtual void | createPostings (Collection< RawPostingListPtr > postings, int32_t start, int32_t count)=0
virtual TermsHashConsumerPerThreadPtr | addThread (TermsHashPerThreadPtr perThread)=0
virtual void | flush (MapTermsHashConsumerPerThreadCollectionTermsHashConsumerPerField threadsAndFields, SegmentWriteStatePtr state)=0
virtual void | abort ()=0
virtual void | closeDocStore (SegmentWriteStatePtr state)=0
virtual void | setFieldInfos (FieldInfosPtr fieldInfos)
Public Member Functions inherited from Lucene::LuceneObject
virtual | ~LuceneObject ()
virtual void | initialize ()
| Called directly after instantiation to create objects that depend on this object being fully constructed. More...
virtual LuceneObjectPtr | clone (LuceneObjectPtr other=LuceneObjectPtr())
| Return clone of this object. More...
virtual int32_t | hashCode ()
| Return hash code for this object. More...
virtual bool | equals (LuceneObjectPtr other)
| Return whether two objects are equal. More...
virtual int32_t | compareTo (LuceneObjectPtr other)
| Compare two objects. More...
virtual String | toString ()
| Returns a string representation of the object. More...
Public Member Functions inherited from Lucene::LuceneSync
virtual | ~LuceneSync ()
virtual SynchronizePtr | getSync ()
| Return this object synchronize lock. More...
virtual LuceneSignalPtr | getSignal ()
| Return this object signal. More...
virtual void | lock (int32_t timeout=0)
| Lock this object using an optional timeout. More...
virtual void | unlock ()
| Unlock this object. More...
virtual bool | holdsLock ()
| Returns true if this object is currently locked by current thread. More...
virtual void | wait (int32_t timeout=0)
| Wait for signal using an optional timeout. More...
virtual void | notifyAll ()
| Notify all threads waiting for signal. More...

## Static Public Member Functions

static String | _getClassName ()

## Data Fields

FieldInfosPtr | fieldInfos

## Additional Inherited Members

Protected Member Functions inherited from Lucene::LuceneObject
| LuceneObject ()
Protected Attributes inherited from Lucene::LuceneSync
SynchronizePtr | objectLock
LuceneSignalPtr | objectSignal

## Constructor & Destructor Documentation

virtual Lucene::TermsHashConsumer::~TermsHashConsumer | ( | ) |  |

virtual

## Member Function Documentation

static String Lucene::TermsHashConsumer::_getClassName | ( | ) |  |

inline static

virtual void Lucene::TermsHashConsumer::abort | ( | ) |  |

pure virtual

Implemented in Lucene::TermVectorsTermsWriter, and Lucene::FreqProxTermsWriter.

virtual TermsHashConsumerPerThreadPtr Lucene::TermsHashConsumer::addThread | ( | TermsHashPerThreadPtr | perThread) |  |

pure virtual

Implemented in Lucene::TermVectorsTermsWriter, and Lucene::FreqProxTermsWriter.

virtual int32_t Lucene::TermsHashConsumer::bytesPerPosting | ( | ) |  |

pure virtual

Implemented in Lucene::TermVectorsTermsWriter, and Lucene::FreqProxTermsWriter.

virtual void Lucene::TermsHashConsumer::closeDocStore | ( | SegmentWriteStatePtr | state) |  |

pure virtual

Implemented in Lucene::TermVectorsTermsWriter, and Lucene::FreqProxTermsWriter.

virtual void Lucene::TermsHashConsumer::createPostings | ( | Collection< RawPostingListPtr > | postings,
|  | int32_t | start,
|  | int32_t | count
| ) |  |

pure virtual

Implemented in Lucene::TermVectorsTermsWriter, and Lucene::FreqProxTermsWriter.

virtual void Lucene::TermsHashConsumer::flush | ( | MapTermsHashConsumerPerThreadCollectionTermsHashConsumerPerField | threadsAndFields,
|  | SegmentWriteStatePtr | state
| ) |  |

pure virtual

Implemented in Lucene::TermVectorsTermsWriter, and Lucene::FreqProxTermsWriter.

virtual String Lucene::TermsHashConsumer::getClassName | ( | ) |  |

inline virtual

Reimplemented in Lucene::TermVectorsTermsWriter, and Lucene::FreqProxTermsWriter.

virtual void Lucene::TermsHashConsumer::setFieldInfos | ( | FieldInfosPtr | fieldInfos) |  |

virtual

boost::shared_ptr< TermsHashConsumer > Lucene::TermsHashConsumer::shared_from_this | ( | ) |  |

inline

## Field Documentation

FieldInfosPtr Lucene::TermsHashConsumer::fieldInfos

The documentation for this class was generated from the following file:

- TermsHashConsumer.h

clucene.sourceforge.net